Public bandwidth
All operations require authentication.
List regionsProduction
List regions. Returns the regions where an Additional IP block can be announced from a vRack, with the number of availability zones and the default public bandwidth of each.
Query parameters
Filter by region name
Response
Default bandwidth limit for blocks in your vRack (in Mbps)
Type of public routing in the region. It indicates how many availability zones (one or three) can be configured to route blocks in this region. PublicRoutingPriority can be defined only on type PUBLIC-ROUTING-3-AZ.
PUBLIC-ROUTING-1-AZPUBLIC-ROUTING-3-AZRegion name
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ publicRoutingRegion \
-H "authorization: Bearer $OVH_TOKEN"[ { "defaultBandwidthLimit": 0, "publicRoutingType": "PUBLIC-ROUTING-1-AZ", "region": "string" }]
List bandwidth limitsProduction
List bandwidth limits. Returns, per region, the public bandwidth limit in Mbps of the Additional IP blocks routed in the vRack, and whether it is the default or an upgraded one.
Path parameters
The internal name of your vrack
Query parameters
Filter by region name
Response
Bandwidth limit for blocks in your vRack (in Mbps)
Public routing bandwidth limit type
defaultupgradedRegion name
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ publicRoutingBandwidthLimit \
-H "authorization: Bearer $OVH_TOKEN"[ { "bandwidthLimit": 0, "bandwidthLimitType": "default", "region": "string" }]